Package org.apache.sling.rewriter.impl.components

## Class XMLSerializerFactory.XMLSerializer

- java.lang.Object
- - org.apache.cocoon.components.serializers.util.EncodingSerializer
  - - org.apache.cocoon.components.serializers.util.XMLSerializer
    - - org.apache.sling.rewriter.impl.components.XMLSerializerFactory.XMLSerializer

All Implemented Interfaces:
  `Serializer`, `ContentHandler`, `LexicalHandler`, `Locator`

Enclosing class:
  XMLSerializerFactory

    public class XMLSerializerFactory.XMLSerializer
    extends org.apache.cocoon.components.serializers.util.XMLSerializer
    implements Serializer

### Field Summary

### Fields inherited from class org.apache.cocoon.components.serializers.util.XMLSerializer

`doctype`

### Fields inherited from class org.apache.cocoon.components.serializers.util.EncodingSerializer

`ATTRIBUTE_LENGTH, ATTRIBUTE_LOCAL, ATTRIBUTE_NSURI, ATTRIBUTE_QNAME, ATTRIBUTE_VALUE, charset, CONTENT_LIST_ATTRIBUTE, indentPerLevel, NAMESPACE, namespaces, request`

### Constructor Summary

Constructors
`XMLSerializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()` Dispose the serializer.
`void` `init​(ProcessingContext context, ProcessingComponentConfiguration config)` Initialize this component.

### Methods inherited from class org.apache.cocoon.components.serializers.util.XMLSerializer

`body, charactersImpl, closeElement, comment, endCDATA, endDocument, endDTD, endElementImpl, endEntity, getMimeType, head, ignorableWhitespace, processingInstruction, recycle, skippedEntity, startCDATA, startDocument, startDTD, startElementImpl, startEntity`

### Methods inherited from class org.apache.cocoon.components.serializers.util.EncodingSerializer

`characters, encode, encode, encode, endElement, endPrefixMapping, flush, getColumnNumber, getLineNumber, getLocation, getPublicId, getSystemId, include, setDocumentLocator, setEncoding, setIndentPerLevel, setOutputStream, setup, startElement, startPrefixMapping, write, write, write, write, write, writeIndent, writeln, writeln`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.xml.sax.ContentHandler

`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

### Constructor Detail

#### XMLSerializer

    public XMLSerializer()

### Method Detail

#### init

    public void init​(ProcessingContext context,
                     ProcessingComponentConfiguration config)
              throws IOException

Description copied from interface: `Serializer`
Initialize this component.

Specified by:
  `init` in interface `Serializer`
Parameters:
  `context` - The invocation context.
  `config` - The configuration for this component.
Throws:
  `IOException` - in case of problems
See Also:
  `Serializer.init(org.apache.sling.rewriter.ProcessingContext, org.apache.sling.rewriter.ProcessingComponentConfiguration)`

#### dispose

    public void dispose()

Description copied from interface: `Serializer`
Dispose the serializer. This method is always invoked by the rewriter in order to allow the serializer to release any resources etc. After this method has been called the instance is considered unusable.

Specified by:
  `dispose` in interface `Serializer`
See Also:
  `Serializer.dispose()`